@extends('Front.templates.master')

@section('content')
    <div class="app-title">
        <div>
          <h1><i class="fa fa-shopping-cart"></i> Commandes en livraison</h1>
          <p>Liste des commndes en livraison</p>
        </div>
        <ul class="app-breadcrumb breadcrumb side">
          <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
          <li class="breadcrumb-item">Commandes</li>
          <li class="breadcrumb-item active"><a href="#">Commandes en livraison</a></li>
        </ul>
        <Button onclick="supprimer_commandes()" data-toggle="modal" data-target="#group_commande_modal" title="Supprimer les commandes" class="btn btn-danger"><i class="fa fa-trash" style="cursor: pointer;"> Supprimer les commandes </i> </Button><br>

        <Button onclick="changer_status()" data-toggle="modal" data-target="#group_commande_status_modal" title="Changer le status des commandes" class="btn btn-primary"><i class="fa fa-edit" style="cursor: pointer;"> Changer le status des commandes </i> </Button><br>

        <Button onclick="dispatcher()" data-toggle="modal" data-target="#group_livreur_modal" title="Dispatcher les commandes entre les livreurs" class="btn btn-info"><i class="fa fa-random" style="cursor: pointer;"> Dispatcher les commandes entre les livreurs</i> </Button>
        <br>
        <Button onclick="assigner_livreur_a_plusieurs_commnandes()" data-toggle="modal" data-target="#livreur_a_commande" title="Dispatcher des commandes à un livreurs" class="btn btn-success"><i class="fa fa-share" style="cursor: pointer;"> Assigner un livreurs aux commandes sélectionnées</i> </Button>
      </div>



   <div class="row">

               <div class="col-sm-12">
                        <div class="form-group">

                                        <div class="col-md-12" style="text-align:left;padding-top:20px">

                                         @if (session('error'))
                                    <div class="alert alert-danger">
                     {{ session('error') }}
                                    </div>
                      @endif

                      @if(!$errors->isEmpty())
                        <div class="alert alert-danger">
                        @foreach($errors->all() as $error)  
                          {{$error}}<br/>
                        @endforeach
                        </div>
                      @endif

                      @if (session('message'))
                                    <div class="alert alert-success">
                     {{ session('message') }}
                                    </div>
                      @endif


                      @if (session('dependencie'))
                                    <div class="alert alert-info">
                     {{ session('dependencie') }}
                                    </div>
                      @endif


                                        </div>
                                    </div>
                    </div>



                </div>


       
        <br>
      <div class="row">
        <div class="col-md-12">
          <div class="tile">
            <div class="tile-body">
              <table class="table table-striped jambo_table bulk_action" id="tableau_donnees">
                <thead>
                  <tr>
                    <th>
                      <input type="checkbox" id="check-all" class="flat">
                    </th>
                    <th>Reference</th>
                    <th>Nom</th>
                    <th>Prenom(s)</th>
                    <th>Telephone</th>
                    <th>E-mail</th>
                    <th>Adresse</th>
                    <th>Date</th>
                    <th>Accompte</th>
                    <th>Reste à payer</th>
                    @if(isset($commande_en_livraison))
                      <th>Livreur</th>
                    @endif
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>


                    @foreach($commande_en_livraison as $commande)
                  <tr>
                    @include('Front.commande.table_fields')
                  </tr>
                @endforeach
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      

      @include('Front.commande.commande_modals')


         














                                







@endsection



@section("footer-script")

    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>

    @endsection
