@extends('Front.templates.master')

@section('content')
    <div class="app-title">
        <div>
          <h1><i class="fa fa-th-list"></i> Les commandes du livreur {{$nom}}</h1>
          
        </div>
        <ul class="app-breadcrumb breadcrumb side">
          <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
          <li class="breadcrumb-item">Livreur</li>
          <li class="breadcrumb-item active"><a href="#">Commande</a></li>
        </ul>
        <a href="{{ route('feuille.route' ,['download'=>'pdf','id'=>$id])  }}" class="btn btn-success" title="Imprimer la feuille de route" ><i class="fa fa-print" style="cursor: pointer;"> Imprimer la feuille de route</i> </a>

      </div>



   <div class="row">

               <div class="col-sm-12">
                        <div class="form-group">

                                        <div class="col-md-12" style="text-align:left;padding-top:20px">

                                         @if (session('error'))
                                    <div class="alert alert-danger">
                     {{ session('error') }}
                                    </div>
                      @endif


                      @if (session('message'))
                                    <div class="alert alert-success">
                     {{ session('message') }}
                                    </div>
                      @endif

                      @if(!$errors->isEmpty())
                        <div class="alert alert-danger">
                        @foreach($errors->all() as $error)  
                          {{$error}}<br/>
                        @endforeach
                        </div>
                      @endif


                      @if (session('dependencie'))
                                    <div class="alert alert-info">
                     {{ session('dependencie') }}
                                    </div>
                      @endif


                                        </div>
                                    </div>
                    </div>



                </div>



      <div class="row">
        <div class="col-md-12">
          <div class="tile">
            <div class="tile-body">
              <table class="table" id="tableau_donnees">
                <thead>
                  <tr>
                    <th colspan="7"> <center>Feuille de route du {{date('d/m/Y')}} - {{$nom}}</center> </th>
                  </tr>
                  <tr>

                    <th>Reference</th>
                    <th>Nom</th>
                    <th>Telephone</th>
                    <th>Adresse</th>
                    <th>Date</th>
                    <th>Reste à payer</th>
                    <th>Observation</th>
                  </tr>
                </thead>
                <tbody>


                    @foreach($commandes as $commande)
                  <tr>
                    <td><a>#{{ $commande->reference }}</a></td>
                    <td>{{ $commande->nom }} {{ $commande->prenom }}</td>
                    <td>{{ $commande->telephone }}</td>
                    <td>{{ $commande->adresse }}</td>
                    <td>{{date('d/m/Y')}}</td>
                    <td>{{ $commande->reste_a_payer }} FCFA</td>
                    <td></td>
                  </tr>
                @endforeach
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>


@endsection



@section("footer-script")

    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>


    @endsection
