@extends('Front.templates.master')

@section('content')
    <div class="app-title">
        <div>
          <h1><i class="fa fa-group"></i> Liste des livreurs</h1>
          
        </div>
        <ul class="app-breadcrumb breadcrumb side">
          <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
          <li class="breadcrumb-item">Livreur</li>
          <li class="breadcrumb-item active"><a href="#">Liste des livreurs</a></li>
        </ul>
        <a class="btn btn-success" data-toggle="modal" data-target="#add_livreur" title="Ajouter un livreur" ><i class="fa fa-plus-circle" style="cursor: pointer;"> Ajouter un livreur</i> </a>
      </div>



   <div class="row">

               <div class="col-sm-12">
                        <div class="form-group">

                                        <div class="col-md-12" style="text-align:left;padding-top:20px">

                                         @if (session('error'))
                                    <div class="alert alert-danger">
                     {{ session('error') }}
                                    </div>
                      @endif


                      @if (session('message'))
                                    <div class="alert alert-success">
                     {{ session('message') }}
                                    </div>
                      @endif

                      @if(!$errors->isEmpty())
                        <div class="alert alert-danger">
                        @foreach($errors->all() as $error)  
                          {{$error}}<br/>
                        @endforeach
                        </div>
                      @endif


                      @if (session('dependencie'))
                                    <div class="alert alert-info">
                     {{ session('dependencie') }}
                                    </div>
                      @endif


                                        </div>
                                    </div>
                    </div>



                </div>



      <div class="row">
        <div class="col-md-12">
          <div class="tile">
            <div class="tile-body">
              <table class="table table-striped jambo_table bulk_action" id="tableau_donnees">
                <thead>
                  <tr>
                    <th>Matricule</th>
                    <th>Nom</th>
                    <th>Prénom(s)</th>
                    <th>Contact</th>
                    <th>Actions</th>
                  </tr>
                </thead>
                <tbody>


                    @foreach($livreurs as $livreur)
                  <tr>

                    <td>{{ $livreur->matricule }} </td>
                    <td>{{ $livreur->nom }}</td>
                    <td>{{ $livreur->prenom }}</td>
                    <td>{{ $livreur->contact }}</td>
                    <td width="200px">
                        <form id="frm_supprimer_livreur_{{$livreur->id}}" action="{{ route('livreur.destroy' , $livreur->id)}}" method="POST">
                          <a href="#" onclick="getlivreur({{$livreur->id}})" data-toggle="modal" data-target="#edit_livreur_modal" ><i class="fa fa-edit"></i> Editer</a>
                          <input name="_method" type="hidden" value="DELETE">
                          {{ csrf_field() }}
                          <a href="#" onclick="confirmer({{$livreur->id}})"><i class="fa fa-trash"></i> Supprimer</a>
                          <a href="{{ route('livreur.commandes' , $livreur->id)}}""><i class="fa fa-shopping-cart"></i>Commandes assignées</a>
                        </form>
                    </td>
                  </tr>

                @endforeach
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>


      @include('Front.livreur.livreurs_modal')









@endsection



@section("footer-script")

    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>

    <script type="text/javascript">

        function confirmer(id)
        {
          var r = confirm("Attention, ce livreur pourrait être assigné à une ou plusieurs commandes ! Confirmez vous la suppression ?");
          if (r == true) {
            $('#frm_supprimer_livreur_'+id).submit();
          }
        }


        function getlivreur(id)
        {

          xhttp = new XMLHttpRequest();

          xhttp.onreadystatechange = function() {
        
          if(this.readyState==4)
          {
            if(this.status == 200)
            {

              var livreur = JSON.parse(xhttp.responseText);
              $('#edit_livreur_modal').find('#matricule').val(livreur['matricule']);
              $('#edit_livreur_modal').find('#nom').val(livreur["nom"]);
              $('#edit_livreur_modal').find('#prenom').val(livreur['prenom']);
              $('#edit_livreur_modal').find('#contact').val(livreur['contact']);
              $('#edit_livreur_modal').find('#livreur_id').val(livreur['compte']);

              var url = '{{ route("livreur.update", ":id") }}';
              url = url.replace(':id', id);

              document.getElementById("frm_update").setAttribute('action',url);

              

              $('#edit_livreur_modal').modal();
            }
            else
            {
              alert("Erreur du serveur : Impossible de modifier la ressource");
            }
          }
        };
        var url = '{{ route("livreur.edit", ":id") }}';

        url = url.replace(':id', id);

        xhttp.open("GET", url , true);
        xhttp.send();

        }

      
    </script>


    @endsection
