@extends('Front.templates.master')

@section('content')
    <div class="app-title">
      <div>
        <h1><i class="fa fa-shopping-cart"></i> Gestion des vente </h1>
      </div>

      <div class="col-sm-10">
      <ul class="app-breadcrumb breadcrumb side">
        <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
        <li class="breadcrumb-item">Ventes</li>
        <li class="breadcrumb-item active"><a href="#">Ventes enregistrés</a></li>
      </ul>
      </div>
      <div class="col-sm-2">
      <a class="btn btn-success" data-toggle="modal" data-target="#add_vente" title="Ajouter un stock" ><i class="fa fa-plus-circle" style="cursor: pointer;"> Nouvelle vente</i> </a>
      </div>
    </div>



   <div class="row">

               <div class="col-sm-12">
                        <div class="form-group">

                                        <div class="col-md-12" style="text-align:left;padding-top:20px">

                                         @if (session('error'))
                                    <div class="alert alert-danger">
                     {{ session('error') }}
                                    </div>
                      @endif

                      @if(!$errors->isEmpty())
                        <div class="alert alert-danger">
                        @foreach($errors->all() as $error)  
                          {{$error}}<br/>
                        @endforeach
                        </div>
                      @endif

                      @if (session('message'))
                                    <div class="alert alert-success">
                     {{ session('message') }}
                                    </div>
                      @endif


                      @if (session('dependencie'))
                                    <div class="alert alert-info">
                     {{ session('dependencie') }}
                                    </div>
                      @endif


                                        </div>
                                    </div>
                    </div>



                </div>



    
      <div class="row">
              <div class="col-md-12">
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <br />
                    
                    <div class="row">
                     

                      <div class="animated flipInY col-md-4 col-sm-4">
                        <div class="tile-stats">
                          <div class="icon"><i class="fa fa-shopping-cart fa-3x"></i>
                          </div>
                          <div class="count">
                            {{$ventejj}}
                            </div>

                          <h3>VENTE DU JOUR</h3>
                          
                        </div>
                      </div>
                
                      <div class="animated flipInY col-md-4 col-sm-4">
                        <div class="tile-stats">
                          <div class="icon"><i class="fa fa-shopping-cart fa-3x"></i>
                          </div>
                          <div class="count">{{ $ventemm }}</div>

                          <h3>MOIS EN COURS</h3>
                          
                        </div>
                      </div>



                       <div class="animated flipInY col-md-4 col-sm-4">
                        <div class="tile-stats">
                          <div class="icon"><i class="fa fa-shopping-cart fa-3x"></i>
                          </div>
                          <div class="count">{{ $ventout }}</div>

                          <h3>TOUTES LES VENTES</h3>
                          
                        </div>
                      </div>



                      
                

                    </div>


                   
                  </div>
                </div>



                   <div class="panel-default">
                          <h4 style="text-align: center"> Filtre</h4>

                          <div class="row" style="color:#000;font-weight:bold;padding:5px;-moz-box-shadow: 1px 2px 1px 2px #cfcfcf;
-webkit-box-shadow: 1px 2px 1px 2px #cfcfcf;
-o-box-shadow: 1px 2px 1px 2px #cfcfcf;
box-shadow: 1px 2px 1px 2px #cfcfcf;
filter:progid:DXImageTransform.Microsoft.Shadow(color=#cfcfcf, Direction=153, Strength=1);background: #fff"> 
                    
                          <div class="col-lg-12" style="margin-bottom: 15px;margin-top: 15px">
                            <form class="form-horizontal" method="get"> 
                        
                                        
                                        <div class="col-md-3">
                                       <select style="margin-bottom:5px" class="form-control" id="etat" name="etat">
                                          <option value=""> Tout </option>
                                          
                                       <option  value="1" @if($etat==1) selected @endif> Magasin </option>
                                       <option  value="2" @if($etat==2) selected @endif> Autre </option>
                                        
                                                                                  
                                            </select>
                                        </div>

                                     
                                        
                                        <div class="col-md-3">
  <input type="text" style="margin-bottom:5px"  name="debut" id="myDatepicker2" placeholder="Date Début" value="{{ $debut }}" class="form-control">
                                        </div>

                                         <div class="col-md-3">
                                            <input type="text"   style="margin-bottom:3px" name="fin"  id="myDatepicker3" placeholder="Date Fin" class="form-control" value="{{ $fin }}" >
                                        </div>


                                        <div class="col-md-3 col-xs-12">
                   <button type="submit" style="height: 34px;line-height: 16px;width: 100%" class="btn btn-danger">OK</button>
                                        
                                        </div>
                                  
                                        
                                  </form>
                          </div>


                          



                             
                         </div>
                          </div>

<br>


      
      <div class="row">
        <div class="col-md-12">
          <div class="tile">
            <div class="tile-body">
              <table class="table table-striped jambo_table bulk_action" id="tableau_donnees">
                <thead>
                  <tr>
                   
                    <th>Date</th>
                    <th>image</th>
                    <th>Désignation</th>
                    <th>Quantite</th>
                    <th>Prix</th>
                    <th>Type</th>
                  </tr>
                </thead>
                <tbody>


                    @foreach($ventes as $vente)
                  <tr>
                     <td>{{ date('d/m/Y', strtotime($vente->created_at)) }}</td>
                     <td><img src="{{ $vente->image }}" width="50"></td>
                     
                     <td>{{ $vente->libelle }}</td>
                     <td>{{ $vente->quantite }}</td>
                     <td>{{ $vente->prix }}</td>
                     <td>

                        @if($vente->type==1)
                          Magasin
                        @endif

                        @if($vente->type==2)
                          Autre
                        @endif

                    </td>
                  </tr>
                @endforeach
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      

    
      @include('Front.vente.vente_modal')  




@endsection



@section("footer-script")

    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>

    @endsection
