@extends('Front.templates.master')

@section('content')
    <div class="app-title">
      <div>
        <h1><i class="fa fa-shopping-cart"></i> Commandes en attente</h1>
        <p>Liste des commndes en attente</p>
      </div>
      <ul class="app-breadcrumb breadcrumb side">
        <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
        <li class="breadcrumb-item">Commandes</li>
        <li class="breadcrumb-item active"><a href="#">Commandes en attente</a></li>
      </ul>
      <div class="row buttonzonne">
        <div class="col-md-12">
          <div class="col-md-4">
            <Button onclick="supprimer_commandes()" data-toggle="modal" data-target="#group_commande_modal" title="Dispatcher les commandes entre les livreurs" class="btn btn-danger"><i class="fa fa-trash" style="cursor: pointer;"> Supprimer les commandes </i> </Button><br>
          </div>
          <div class="col-md-4">
          <Button onclick="changer_status()" data-toggle="modal" data-target="#group_commande_status_modal" title="Changer le status des commandes" class="btn btn-primary"><i class="fa fa-edit" style="cursor: pointer;"> Changer le status des commandes </i> </Button><br>
          </div>
          <div class="col-md-4">
          <Button onclick="attrib_fichcmd()" data-toggle="modal" data-target="#attrib_fichcmd_modal" title="Changer le status des commandes" class="btn btn-warning"><i class="fa fa-edit" style="cursor: pointer;"> Attribuer à un fichier cmd </i> </Button><br>
          </div>
        </div>
      </div>
    </div>



   <div class="row">

               <div class="col-sm-12">
                        <div class="form-group">

                                        <div class="col-md-12" style="text-align:left;padding-top:20px">

                                         @if (session('error'))
                                    <div class="alert alert-danger">
                     {{ session('error') }}
                                    </div>
                      @endif

                      @if(!$errors->isEmpty())
                        <div class="alert alert-danger">
                        @foreach($errors->all() as $error)  
                          {{$error}}<br/>
                        @endforeach
                        </div>
                      @endif

                      @if (session('message'))
                                    <div class="alert alert-success">
                     {{ session('message') }}
                                    </div>
                      @endif


                      @if (session('dependencie'))
                                    <div class="alert alert-info">
                     {{ session('dependencie') }}
                                    </div>
                      @endif


                                        </div>
                                    </div>
                    </div>



                </div>

        @include("Front.Partials.date_switcher")
        <br>
      
      <div class="row">
        <div class="col-md-12">
          <div class="tile">
            <div class="tile-body">
              <table class="table table-striped jambo_table bulk_action" id="tableau_donnees">
                <thead>
                  <tr>
                    <th>
                      <input type="checkbox" id="check-all" class="flat">
                    </th>
                    <th>Reference</th>
                    <th>Nom</th>
                    <th>Telephone</th>
                    <!-- <th>E-mail</th> -->
                    <th>Adresse</th>
                    <th>Date</th>
                    <th>Accompte</th>
                    <th>Reste à payer</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>


                    @foreach($commande_en_cours as $commande)
                  <tr>
                    @include('Front.commande.table_fields')
                  </tr>
                @endforeach
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      

      @include('Front.commande.commande_modals')


         














                                







@endsection



@section("footer-script")

    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>

    @endsection
