@extends('Front.templates.master')

@section('content')
    <div class="app-title">
        <div>
          <h2><i class="fa fa-th-list"></i> Point de la  {{$nom_mutuelle}} <h2>
          
        </div>
        <ul class="app-breadcrumb breadcrumb side">
          <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
          <li class="breadcrumb-item">{{$nom_mutuelle}}</li>
          <li class="breadcrumb-item active"><a href="#">Commandes</a></li>
        </ul>
       

      </div>
      


   <div class="row">

               <div class="col-sm-12">
                        <div class="form-group">

                                        <div class="col-md-12" style="text-align:left;padding-top:20px">

                                         @if (session('error'))
                                    <div class="alert alert-danger">
                     {{ session('error') }}
                                    </div>
                      @endif


                      @if (session('message'))
                                    <div class="alert alert-success">
                     {{ session('message') }}
                                    </div>
                      @endif

                      @if(!$errors->isEmpty())
                        <div class="alert alert-danger">
                        @foreach($errors->all() as $error)  
                          {{$error}}<br/>
                        @endforeach
                        </div>
                      @endif


                      @if (session('dependencie'))
                                    <div class="alert alert-info">
                     {{ session('dependencie') }}
                                    </div>
                      @endif


                                        </div>
                                    </div>
                    </div>



                </div>
                <div class="row">
              <div class="col-md-12">
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <br />
                    
                    <div class="row">
                     

                      <div class="animated flipInY col-md-4 col-sm-4">
                        <div class="tile-stats">
                          <div class="icon">
                          <span style="color: orange"><i class="fa fa-refresh fa-3x"></i></span>
                          </div>
                          <div class="count">
                            {{$encours}}
                            </div>

                          <h3>Commandes en cours</h3>
                          
                        </div>
                      </div>
                
                      <div class="animated flipInY col-md-4 col-sm-4">
                        <div class="tile-stats">
                          <div class="icon">
                            <span style="color: green"> <i class="fa fa-thumbs-o-up fa-3x"></i> </span>
                          </div>
                          <div class="count">
                          {{$valider}}
                          </div>

                          <h3>Commandes validées</h3>
                          
                        </div>
                      </div>



                       <div class="animated flipInY col-md-4 col-sm-4">
                        <div class="tile-stats">
                          <div class="icon">
                          <span style="color: red"> <i class="fa fa-thumbs-o-down fa-3x"></i> </span>
                          </div>
                          <div class="count">
                          {{$valider}}
                          </div>

                          <h3>Commandes refusées</h3>
                          
                        </div>
                      </div>



                      
                

                    </div>


                   
                  </div>
                </div>

                @include("Front.Partials.date_switcher2")
      <br>
      <div class="row">
        <div class="col-md-12">
          <div class="tile">
            <div class="tile-body">
              <table class="table" id="tableau_donnees" style="font-size:13px;">
                <thead>
                  <tr>

                    <th>
                      <input type="checkbox" id="check-all" class="flat">
                    </th>
                    <th>Reference</th>
                    <th>Nom</th>
                    <th>Date</th>
                    <th>Montant</th>
                    <th>Mensualité</th>
                    <th>Produits</th>
                    <th>Paiments</th>
                    <th width="10%">Action</th>
                  </tr>
                </thead>
                <tbody>



                    @foreach($commandes as $commande)
                  <tr>
                  <td class="a-center ">
  <input type="checkbox" id="{{$commande->id}}" class="flat" name="table_records">
</td>
<td><a id="reference_{{$commande->id}}" href="{{$commande->shopify}}" target="_blank" >#{{ $commande->reference }}</a></td>
  @if(Auth::user()->role==3 or Auth::user()->role==1)
<td>{{ $commande->nom }} {{ $commande->prenom }}</td>
<td>{{ date('d/m/Y', strtotime($commande->date)) }}</td>
<td>{{ $commande->reste_a_payer }}</td>
<td>
    @if($commande->valide_statut==1)
      <span style="color: green"> <i class="fa fa-thumbs-o-up fa-1x"></i> Approuvé </span>
      @elseif($commande->valide_statut==2)
      <span style="color: red"><i class="fa fa-thumbs-o-down fa-1x"></i> Refusé </span>
      @elseif($commande->valide_statut==0)
      <span style="color: orange"><i class="fa fa-refresh fa-1x"></i> En attente... </span>
    @endif
    <br>
    @if($commande->modalite==1)
    <span style="color:#000000;"> <b>{{ $commande->reste_a_payer }} FCFA</b> à payer <b>3 fois</b> | Soit {{ $commande->reste_a_payer/3 }} FCFA/mois </span>
    @elseif($commande->modalite==2)
    <span style="color:#000000;"> <b>{{ $commande->reste_a_payer*1.1 }} FCFA</b> à payer <b>4 fois</b>  | Soit {{ ($commande->reste_a_payer*1.1)/4 }} FCFA/mois </span>
    @elseif($commande->modalite==3)
    <span style="color:#000000;"> <b>{{ $commande->reste_a_payer*1.1 }} FCFA</b> à payer <b>6 fois</b>  | Soit {{ ($commande->reste_a_payer*1.1*0.85)/4 }}FCFA/mois sur 4 mois et {{ ($commande->reste_a_payer*1.1*0.15)/2 }}FCFCA/mois sur 2 mois  </span>
    @endif
</td>

<td width="15%">
@php 
$produits = getCommandeProduct($commande->id);

@endphp
@foreach($produits as $produit)

<a href="{{ $produit->image }}" class="twpop"><img src="{{ $produit->image }}" width="50"></a>
<span style="color:#000;">Prix: </span>{{$produit->prix}}  |
<a href="#" onclick="getproduit({{$produit->id}})" data-toggle="modal" data-target="#edit_produit_modal" ><i class="fa fa-edit"></i> </a>
<hr>
@endforeach
</td>


<td width="15%">
@php 
$paiements = getMutuellePaiement($commande->id);

@endphp
@foreach($paiements as $paiement)

<span style="color:#000;">Montant: </span>{{$paiement->montant}}  |
<span style="color:#000;">Période: </span>{{$paiement->datedebut}} - {{$paiement->datefin}}
<hr>
@endforeach
</td>



<td width="15%">
    <form id="frm_supprimer_commande_{{$commande->id}}" action="{{ route('commande.destroy', $commande->id)}}" method="POST">
    	<input name="_method" type="hidden" value="DELETE">
      <div class="x_content">
      <button data-toggle="dropdown" class="btn btn-default dropdown-toggle" type="button" aria-expanded="false">Action <span class="caret"></span></button>
        <ul role="menu" class="dropdown-menu">
              {{ csrf_field() }}
              <li>	    
                <a href="#" onclick="setId6({{$commande->id}},{{$commande->mutuel_id}})" data-toggle="modal" data-target="#paiement_mutuelle_modal"><i class="fa fa-money"></i> Faire un paiement</a><br>
              </li>
              <li>		
                <a href="{{ route('commande.produits',$commande->id) }}" target="_blank"><i class="fa fa-eye"></i> Produits</a><br>
              </li>
              <!--<li>
                <a href="{{ route('generate-pdf',['download'=>'pdf','id'=>$commande->id]) }}" target="_blank"><i class="fa fa-book"></i> Bon de livraison</a><br>
              </li>-->
              <!--<li>
                <a href="#" onclick="getcommande({{$commande->id}})" data-toggle="modal" data-target="#edit_commande_modal" ><i class="fa fa-edit"></i> Editer Commande</a><br>
              </li>-->
              <li>
                <a href="#" onclick="confirmer({{$commande->id}})"><i class="fa fa-trash"></i> Supprimer</a>
              </li>
              <!--<li>
                @if(isset($commande_en_livraison))
                  <a href="#" data-toggle="modal" onclick="setId3({{$commande->id}})" data-target="#livreur_modal"><i class="fa fa-plus"></i> Assigner à un livreur</a>
                @endif
              </li>-->

             <br>

              <li>	    
                <a href="#" onclick="setId4({{$commande->id}})" data-toggle="modal" data-target="#sms_modal"><i class="fa fa-envelope"></i> Envoyer un SMS</a><br>
              </li>
        </ul>
      </div>

      	
      
    </form>
</td>
@endif
                  </tr>
                @endforeach
                  </tr>
                </tbody>
              </table>
              {{ $commandes->links() }}
            </div>
          </div>
        </div>
       
      </div>

      @include('Front.fich_commande.commande_fichier_modal')
      @include('Front.commande.commande_modals')
      @include('Front.produit.produits_modal')
 
@endsection



@section("footer-script")

    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>


    @endsection

<script type="text/javascript">

function confirmer(id)
{
  var r = confirm("Attention, cette commande pourrait être assignée à un ou plusieurs produits ! Confirmez vous la suppression ?");
  if (r == true) {
    $('#frm_supprimer_commande_'+id).submit();
  }
}

function getcommande(id)
{
xhttp = new XMLHttpRequest();

xhttp.onreadystatechange = function() {

if(this.readyState==4)
{
  if(this.status == 200)
  {


    var commande = JSON.parse(xhttp.responseText);

    $('#edit_commande_modal').find('#id').val(commande["id"]);
    $('#edit_commande_modal').find('#reference_taobao').val(commande["reference_taobao"]);
    $('#edit_commande_modal').find('#nom').val(commande["nom"]);
    $('#edit_commande_modal').find('#prenom').val(commande["prenom"]);
    $('#edit_commande_modal').find('#telephone').val(commande['telephone']);
    $('#edit_commande_modal').find('#email').val(commande['email']);
    $('#edit_commande_modal').find('#adresse').val(commande['adresse']);
    $('#date_edit').val(commande['date']);

    $('#edit_commande_modal').find('#acompte').val(commande['acompte']);
    $('#edit_commande_modal').find('#reste_a_payer').val(commande['reste_a_payer']);
    $('#edit_commande_modal').find('#zone').val(commande['zone']);



    var url = '{{ route("commande.update", ":id") }}';

    url = url.replace(':id', commande["id"]);
    document.getElementById("frm_update_commande").setAttribute('action',url);

    $('#edit_commande_modal').modal();
  }
  else
  {
    alert("Erreur du serveur : Impossible de modifier la ressource");
  }
}
};
var url = '{{ route("commande.edit", ":id") }}';

url = url.replace(':id', id);
xhttp.open("GET", url , true);
xhttp.send();

}


    function convertDate(inputFormat) {
      function pad(s) { return (s < 10) ? '0' + s : s; }
      var d = new Date(inputFormat);
      return [pad(d.getDate()), pad(d.getMonth()+1), d.getFullYear()].join('/');
    }


    

        function confirmer(id)
        {
          var r = confirm("Confirmez vous la suppression ?");
          if (r == true) {
            $('#frm_supprimer_produit_'+id).submit();
          }
        }


        function getproduit(id)
        {

          xhttp = new XMLHttpRequest();

          xhttp.onreadystatechange = function() {
        
          if(this.readyState==4)
          {
            if(this.status == 200)
            {

              var produit = JSON.parse(xhttp.responseText);
              $('#edit_produit_modal').find('#sku').val(produit['sku']);
              $('#edit_produit_modal').find('#libelle').val(produit["libelle"]);
              $('#edit_produit_modal').find('#image').val(produit['image']);
              $('#edit_produit_modal').find('#prix').val(produit['prix']);
              $('#edit_produit_modal').find('#couleur').val(produit['couleur']);
              $('#edit_produit_modal').find('#taille').val(produit['taille']);
              $('#edit_produit_modal').find('#quantite').val(produit['quantite']);
              $('#edit_produit_modal').find('#lien_import').val(produit['lien_import']);
              $('#edit_produit_modal').find('#status').val(produit['status']);
              
              
              var url = '{{ route("produit.update", ":id") }}';
              url = url.replace(':id', id);

              document.getElementById("frm_update").setAttribute('action',url);

              

              $('#edit_produit_modal').modal();
            }
            else
            {
              alert("Erreur du serveur : Impossible de modifier la ressource");
            }
          }
        };
        var url = '{{ route("produit.edit", ":id") }}';

        url = url.replace(':id', id);

        xhttp.open("GET", url , true);
        xhttp.send();

        }



        function getproduitAtt(id)
        {

          xhttp = new XMLHttpRequest();

          xhttp.onreadystatechange = function() {
        
          if(this.readyState==4)
          {
            if(this.status == 200)
            {

              var produit = JSON.parse(xhttp.responseText);
              $('#attrib_produit_modal').find('#sku').val(produit['sku']);
              $('#attrib_produit_modal').find('#libelle').val(produit["libelle"]);
              $('#attrib_produit_modal').find('#image').val(produit['image']);
              $('#attrib_produit_modal').find('#prix').val(produit['prix']);
              $('#attrib_produit_modal').find('#couleur').val(produit['couleur']);
              $('#attrib_produit_modal').find('#taille').val(produit['taille']);
              $('#attrib_produit_modal').find('#quantite').val(produit['quantite']);
              $('#attrib_produit_modal').find('#status').val(produit['status']+1);
              $('#attrib_produit_modal').find('#text_attr').val(produit['text_attr']);
              $('#attrib_produit_modal').find('#payele').val(produit['payele']);
              $('#attrib_produit_modal').find('#recule').val(produit['recule']);
              $('#attrib_produit_modal').find('#enlivraison').val(produit['enlivraison']);
              
              var url = '{{ route("produit.update", ":id") }}';
              url = url.replace(':id', id);

              document.getElementById("frm_attr").setAttribute('action',url);

              

              $('#attrib_produit_modal').modal();
            }
            else
            {
              alert("Erreur du serveur : Impossible de modifier la ressource");
            }
          }
        };
        var url = '{{ route("produit.edit", ":id") }}';

        url = url.replace(':id', id);

        xhttp.open("GET", url , true);
        xhttp.send();

        }



</script>