@extends('Front.templates.master')

@section('content')
    <div class="app-title">
      <div>
        <h1><img src="{{asset('image/mutuelle.png')}}">
        @if(Auth::user()->role==3) 
          Gestion de la mutuelle
        @else
          Point global
        @endif
         </h1>
      </div>

      <div class="col-sm-10">
      <ul class="app-breadcrumb breadcrumb side">
        <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
        <li class="breadcrumb-item">Mutuelles</li>
        <li class="breadcrumb-item active"><a href="#">Mutuelles enregistrées</a></li>
      </ul>
      </div>
     
    </div>



   <div class="row">

               <div class="col-sm-12">
                        <div class="form-group">

                                        <div class="col-md-12" style="text-align:left;padding-top:20px">

                                         @if (session('error'))
                                    <div class="alert alert-danger">
                     {{ session('error') }}
                                    </div>
                      @endif

                      @if(!$errors->isEmpty())
                        <div class="alert alert-danger">
                        @foreach($errors->all() as $error)  
                          {{$error}}<br/>
                        @endforeach
                        </div>
                      @endif

                      @if (session('message'))
                                    <div class="alert alert-success">
                     {{ session('message') }}
                                    </div>
                      @endif


                      @if (session('dependencie'))
                                    <div class="alert alert-info">
                     {{ session('dependencie') }}
                                    </div>
                      @endif


                                        </div>
                                    </div>
                    </div>



                </div>



      @if(Auth::user()->role!=3)
      <div class="row">
              <div class="col-md-12">
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <br />
                    
                    <div class="row">
                     

                      <div class="animated flipInY col-md-4 col-sm-4">
                        <div class="tile-stats">
                          <div class="icon"><img src="{{asset('image/mutuelle.png')}}">
                          </div>
                          <div class="count">
                            {{$all_mutuelle}}
                            </div>

                          <h3>Toutes les mutuelles</h3>
                          
                        </div>
                      </div>
                
                      <div class="animated flipInY col-md-4 col-sm-4">
                        <div class="tile-stats">
                          <div class="icon"><img src="{{asset('image/mutuelleon.png')}}">
                          </div>
                          <div class="count">{{ $mutuelleon }}</div>

                          <h3>Mutuelles Activées</h3>
                          
                        </div>
                      </div>



                       <div class="animated flipInY col-md-4 col-sm-4">
                        <div class="tile-stats">
                          <div class="icon"><img src="{{asset('image/mutuelleoff.png')}}">
                          </div>
                          <div class="count">{{ $mutuelleoff }}</div>

                          <h3>Mutuelles desactivées</h3>
                          
                        </div>
                      </div>



                      
                

                    </div>


                   
                  </div>
                </div>



                   <div class="panel-default">
                          <h4 style="text-align: center"> Filtre</h4>

                          <div class="row" style="color:#000;font-weight:bold;padding:5px;-moz-box-shadow: 1px 2px 1px 2px #cfcfcf;
-webkit-box-shadow: 1px 2px 1px 2px #cfcfcf;
-o-box-shadow: 1px 2px 1px 2px #cfcfcf;
box-shadow: 1px 2px 1px 2px #cfcfcf;
filter:progid:DXImageTransform.Microsoft.Shadow(color=#cfcfcf, Direction=153, Strength=1);background: #fff"> 
                    
                          <div class="col-lg-12" style="margin-bottom: 15px;margin-top: 15px">
                            <form class="form-horizontal" method="get"> 
                        
                                        
                                        <div class="col-md-3">
                                       <select style="margin-bottom:5px" class="form-control" id="etat" name="etat">
                                          <option value=""> Tout </option>
                                          
                                       <option  value="1" @if($etat==1) selected @endif> Actif </option>
                                       <option  value="2" @if($etat==2) selected @endif> Inactif </option>
                                        
                                                                                  
                                            </select>
                                        </div>

                                     
                                        
                                        <div class="col-md-3">
  <input type="text" style="margin-bottom:5px"  name="debut" id="myDatepicker2" placeholder="Date Début" value="{{ $debut }}" class="form-control">
                                        </div>

                                         <div class="col-md-3">
                                            <input type="text"   style="margin-bottom:3px" name="fin"  id="myDatepicker3" placeholder="Date Fin" class="form-control" value="{{ $fin }}" >
                                        </div>


                                        <div class="col-md-3 col-xs-12">
                   <button type="submit" style="height: 34px;line-height: 16px;width: 100%" class="btn btn-danger">OK</button>
                                        
                                        </div>
                                  
                                        
                                  </form>
                          </div>


                          



                             
                         </div>
                          </div>

<br>

@endif
      
      <div class="row">
        <div class="col-md-12">
          <div class="tile">
            <div class="tile-body">
              <table class="table table-striped jambo_table bulk_action" id="tableau_donnees">
                <thead>
                  <tr>
                   
                    <th>Date</th>
                    <th>Nom de la mutuelle</th>
                    <th>Point paiement</th>
                    
                  </tr>
                </thead>
                <tbody>
                 
                    @foreach($mutuelles as $mutuelle)
                
                  <tr>
                     <td>{{ date('d/m/Y', strtotime($mutuelle->created_at)) }}</td>
                     
                     <td><a href="{{ route('point_commandes.mutuelle' , $mutuelle->id)}}" onclick="#" data-toggle="modal" data-target="" >{{ $mutuelle->mutuelle_nom }}</a></td>
                     <td>
                    

                        @php 
                        $points = PointGlobal($mutuelle->id);

                        @endphp
                       
                        @foreach($points as $point)
                        <div class="col-md-3">
                        <span style="color:#000;"> 
                        @if($point->month==1)
                          Janv
                        @elseif($point->month==2)
                          Févr
                        @elseif($point->month==3)
                          Mars
                        @elseif($point->month==4)
                          Avr
                        @elseif($point->month==5)
                          Mai
                        @elseif($point->month==6)
                          Juin
                        @elseif($point->month==7)
                          Juil
                        @elseif($point->month==8)
                          Août
                        @elseif($point->month==9)
                          Sept
                        @elseif($point->month==10)
                          Oct
                        @elseif($point->month==11)
                          Nov
                        @elseif($point->month==12)
                          Dec
                        @endif
                        
                         - {{$point->year}} </span> 
                        
                        <span style="color:#000;">: </span>{{$point->montant}} 
                        <hr>
                        </div>
                        @endforeach
                        </div>
                        
                        
            
                     </td>

                  </tr>
                @endforeach
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      

    
      @include('Front.mutuelle.mutuelle_modal')  




@endsection



@section("footer-script")

    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>

    @endsection
