@extends('Front.templates.master')

@section('content')
    <div class="app-title">
        <div>
          <h1><i class="fa fa-th-list"></i> Les produits de la commande #{{$reference}}</h1>
          
        </div>
        <ul class="app-breadcrumb breadcrumb side">
          <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
          <li class="breadcrumb-item">Commandes</li>
          <li class="breadcrumb-item active"><a href="#">Produits</a></li>
        </ul>
        <Button class="btn btn-success" data-toggle="modal" data-target="#add_produit" title="Ajouter un produit" onclick="recuperer_reference_commande('{{$reference}}')"><i class="fa fa-plus-circle" style="cursor: pointer;"> Ajouter un produit</i> </Button>
      </div>



   <div class="row">

               <div class="col-sm-12">
                        <div class="form-group">

                                        <div class="col-md-12" style="text-align:left;padding-top:20px">

                                         @if (session('error'))
                                    <div class="alert alert-danger">
                     {{ session('error') }}
                                    </div>
                      @endif


                      @if (session('message'))
                                    <div class="alert alert-success">
                     {{ session('message') }}
                                    </div>
                      @endif

                      @if(!$errors->isEmpty())
                        <div class="alert alert-danger">
                        @foreach($errors->all() as $error)  
                          {{$error}}<br/>
                        @endforeach
                        </div>
                      @endif


                      @if (session('dependencie'))
                                    <div class="alert alert-info">
                     {{ session('dependencie') }}
                                    </div>
                      @endif


                                        </div>
                                    </div>
                    </div>



                </div>



      <div class="row">
        <div class="col-md-12">
          <div class="tile">
            <div class="tile-body">
              <table class="table table-striped jambo_table bulk_action" id="tableau_donnees">
                <thead>
                  <tr>
                    <th></th>
                    <th>Sku</th>
                    <th>Libelle</th>
                    <th>Image</th>
                    <th>Couleur</th>
                    <th>Taille</th>
                    <th>Quantité</th>
                    <th>Prix</th>
                    <th>Lien Taobao/Tmall</th>
                    <th>Actions</th>

                  </tr>
                </thead>
                <tbody>


                    @foreach($produits as $produit)
                  <tr>
                    <td class="a-center ">
                      <input type="checkbox"  id="{{$produit->id}}" class="flat" name="table_records">
                    </td>
                    <td>{{ $produit->sku }} </td>
                    <td>{{ $produit->libelle }}</td>
                    <td><img src="{{ $produit->image }}" width="50"></td>
                    <td>{{ $produit->couleur }}</td>
                    <td>{{ $produit->taille }}</td>
                    <td>{{ $produit->quantite }}</td>
                    <td>{{ $produit->prix }}</td>
                    <td><a style="color:blue;" href="{{ $produit->lien_import }}" target="_blank">{{ $produit->lien_import }}</a></td>
                    <td width="200px">
                        <form id="frm_supprimer_produit_{{$produit->id}}" action="{{ route('produit.destroy' , $produit->id)}}" method="POST">

                          <a href="#" onclick="getproduitAtt({{$produit->id}})" data-toggle="modal" data-target="#attrib_produit_modal" ><i class="fa fa-edit"></i> Observation</a>

                          <a href="#" onclick="getproduit({{$produit->id}})" data-toggle="modal" data-target="#edit_produit_modal" ><i class="fa fa-edit"></i> Editer</a>

                          <input name="_method" type="hidden" value="DELETE">
                          {{ csrf_field() }}
                          <a href="#" onclick="confirmer({{$produit->id}})"><i class="fa fa-trash"></i> Supprimer</a>
                        </form>
                    </td>
                  </tr>

                @endforeach
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>


      @include('Front.produit.produits_modal')









@endsection



@section("footer-script")

    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{ asset('Front/js/plugins/bootstrap-datepicker.min.js')}}"></script>

    <script type="text/javascript">

      function recuperer_reference_commande(reference)
      {
        $('#commande_id_add').val({{$commande_id}});
      }

        function confirmer(id)
        {
          var r = confirm("Confirmez vous la suppression ?");
          if (r == true) {
            $('#frm_supprimer_produit_'+id).submit();
          }
        }


        function getproduit(id)
        {

          xhttp = new XMLHttpRequest();

          xhttp.onreadystatechange = function() {
        
          if(this.readyState==4)
          {
            if(this.status == 200)
            {

              var produit = JSON.parse(xhttp.responseText);
              $('#edit_produit_modal').find('#sku').val(produit['sku']);
              $('#edit_produit_modal').find('#libelle').val(produit["libelle"]);
              $('#edit_produit_modal').find('#image').val(produit['image']);
              $('#edit_produit_modal').find('#prix').val(produit['prix']);
              $('#edit_produit_modal').find('#couleur').val(produit['couleur']);
              $('#edit_produit_modal').find('#taille').val(produit['taille']);
              $('#edit_produit_modal').find('#quantite').val(produit['quantite']);
              $('#edit_produit_modal').find('#lien_import').val(produit['lien_import']);
              $('#edit_produit_modal').find('#status').val(produit['status']);
              //By Mory
              $('#edit_produit_modal').find('#id').val(produit['id']);
              
              var url = '{{ route("produit.update", ":id") }}';
              url = url.replace(':id', id);

              document.getElementById("frm_update").setAttribute('action',url);

              

              $('#edit_produit_modal').modal();
            }
            else
            {
              alert("Erreur du serveur : Impossible de modifier la ressource");
            }
          }
        };
        var url = '{{ route("produit.edit", ":id") }}';

        url = url.replace(':id', id);

        xhttp.open("GET", url , true);
        xhttp.send();

        }


        function getproduitAtt(id)
        {

          xhttp = new XMLHttpRequest();

          xhttp.onreadystatechange = function() {
        
          if(this.readyState==4)
          {
            if(this.status == 200)
            {
               
              var produit = JSON.parse(xhttp.responseText);
              console.log("1111");
               console.log(produit);
               console.log("2222");
              $('#attrib_produit_modal').find('#sku').val(produit['sku']);
              $('#attrib_produit_modal').find('#libelle').val(produit["libelle"]);
              $('#attrib_produit_modal').find('#image').val(produit['image']);
              $('#attrib_produit_modal').find('#prix').val(produit['prix']);
              $('#attrib_produit_modal').find('#couleur').val(produit['couleur']);
              $('#attrib_produit_modal').find('#taille').val(produit['taille']);
              $('#attrib_produit_modal').find('#quantite').val(produit['quantite']);
              $('#attrib_produit_modal').find('#status').val(produit['status']+1);
              $('#attrib_produit_modal').find('#text_attr').val(produit['text_attr']);
              //by Mory
              $('#attrib_produit_modal').find('#id').val(produit['id']);
              $('#attrib_produit_modal').find('#payele').val(produit['payele']);
              $('#attrib_produit_modal').find('#recule').val(produit['recule']);
              $('#attrib_produit_modal').find('#enlivraison').val(produit['enlivraison']);
              //Fin
              var url = '{{ route("produit.update", ":id") }}';
              url = url.replace(':id', id);

              document.getElementById("frm_attr").setAttribute('action',url);

              

              $('#attrib_produit_modal').modal();
            }
            else
            {
              alert("Erreur du serveur : Impossible de modifier la ressource");
            }
          }
        };
        var url = '{{ route("produit.edit", ":id") }}';

        url = url.replace(':id', id);

        xhttp.open("GET", url , true);
        xhttp.send();

        }

      
    </script>


    @endsection
