@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Inscription</div>

                <div class="card-body">
                    <form method="POST" action="{{ route('register') }}" aria-label="{{ __('Register') }}">
                        {{ csrf_field() }}

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">Nom et prénom(s)</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" name="name" value="{{ old('name') }}" required autofocus>

                                @if ($errors->has('name'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="username" class="col-md-4 col-form-label text-md-right">Nom d'utilisateur</label>

                            <div class="col-md-6">
                                <input id="username" type="text" class="form-control{{ $errors->has('username') ? ' is-invalid' : '' }}" name="username" value="{{ old('username') }}" required>

                                @if ($errors->has('username'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('username') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">Mot de passe</label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" name="password" required>

                                @if ($errors->has('password'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password-confirm" class="col-md-4 col-form-label text-md-right">Confirmer le mot de passe</label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="role" class="col-md-4 col-form-label text-md-right">Rôle</label>

                            <div class="col-md-6">
                                <input type="radio" name="role" value="1" id="chksadmin" checked> Super admin<br>
                                <input type="radio" name="role" value="2" id="chklivreur"> Livreur<br>
                                <input type="radio" name="role" value="3" id="chkMutuelle"> Mutuelle<br>
                                <!--<input type="radio" name="role" value="4"> Compable<br>
                                <input type="radio" name="role" value="5"> SAV-->
                            </div>

                        </div>
                        <div class="form-group row" id="dvMutuelle" style="display: none">
                        <label for="role" class="col-md-4 col-form-label text-md-right">Mutuelle</label>

                            <div class="col-md-6">
                            <select class="form-control" id="mutuelle_id" name="mutuelle_id" required>
                            <option value="0">-- Choisissir une mutuelle --</option>
                                @php 
                                $activemutuelle= getActiveMutuelle();
                                @endphp
                                @foreach($activemutuelle as $activemutuelle)
                                                    
                                <option value="{{ $activemutuelle->id }}">{{ $activemutuelle->mutuelle_nom }}</option>
                                @endforeach
                            </select>
                            </div>
                        </div>



                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    Enregistrer
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
