<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    <!-- SEO Meta Tags -->
    <meta name="description" content="Suivez la position de vos colis jusqu'a la livraison, chatter avec le service client">
    <meta name="author" content="Inovatik">

    <!-- OG Meta Tags to improve the way the post looks when you share the page on LinkedIn, Facebook, Google+ -->
	<meta property="og:site_name" content="Oplayce Tracking" /> <!-- website name -->
	<meta property="og:site" content="http://tracking.oplayce.com/" /> <!-- website link -->
	<meta property="og:title" content="Suivez la position de vos colis jusqu'a la livraison, chatter avec le service client"/> <!-- title shown in the actual shared post -->
	<meta property="og:description" content="Suivez la position de vos colis jusqu'a la livraison, chatter avec le service client" /> <!-- description shown in the actual shared post -->
	<meta property="og:image" content="Suivez la position de vos colis jusqu'a la livraison, chatter avec le service client" /> <!-- image link, make sure it's jpg -->
	<meta property="og:url" content="http://tracking.oplayce.com/" /> <!-- where do you want your post to link to -->
	<meta property="og:type" content="article" />

    <!-- Website Title -->
    <title>Otracking - Suivez vos colis</title>
    
    <!-- Styles -->
	<link href="https://fonts.googleapis.com/css?family=Raleway:300,400,700" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,600,700,700i" rel="stylesheet">
    <link href="{{ asset('FrontEnd/css/bootstrap.css')}}" rel="stylesheet">
    <link href="{{ asset('FrontEnd/css/font-awesome.css')}}" rel="stylesheet">
    <link href="{{ asset('FrontEnd/css/styles.css') }}" rel="stylesheet">
	
	<!-- Favicon  -->
    <link rel="icon" href="images/favicon.png">
</head>
<body data-spy="scroll" data-target=".fixed-top">

    <!-- Preloader -->
	<div class="spinner-wrapper">
        <div class="spinner">
            <div class="bounce1"></div>
            <div class="bounce2"></div>
            <div class="bounce3"></div>
        </div>
    </div>
    
    <!-- Particles.js Container -->
    <div id="particles-js"></div>


    <!-- Header -->
	<header id="header">
        
        <!-- Logo And Details -->
        <div class="logo-and-details-wrapper">
            <a href="{{route('site.index')}}"><img class="logo" src="https://cdn.shopify.com/s/files/1/1943/0647/t/3/assets/logo.png?3238843654279227473" alt="logo"></a>
            <!-- Text Logo -->
            <!-- <a class="logo-text" href="index.html">Bono</a> -->
            <div class="contact-details">
                <ul class="list-unstyled">
                    <li class="list-inline-item"><a href="#your-link-here"><i class="fa fa-envelope"></i>service-client@oplayce.com</a></li>

                    <li class="list-inline-item"><a href="#your-link-here"><i class="fa fa-phone"></i>(+225) 22 00 90 90 / 75 08 13 95</a></li>
                </ul>
            </div>
        </div> <!-- end of logo and details -->
        
        <div class="clearfix"></div>

        <!-- Header Content -->
        <div class="header-content">
            <div class="container">
               
                <h1>Entrez le numéro de commande <span id="js-rotating">à retourner</span></h1>
                <p class="p-under-header"> Retour gratuit sous 10 jours</p>
				
                <!-- Signup Form -->
                <form id="" action="{{ route('site.searchreturnresult') }}" method="get">

              {{ csrf_field() }}

                    <div class="form-group">
                        <input type="text" class="form-control-input" id="cmd" placeholder="Numero de commande" name="reference" required>
                        <div class="help-block with-errors"></div>
                    </div><div class="form-group">
                        <button type="submit" class="form-control-submit-button">Chercher</button>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-message">
                        <div id="msgSubmit" class="h3 text-center">
                             
                               @if (session('error'))
                                    <div class="alert alert-danger">
                                 {{ session('error') }}
                                    </div>
                               @endif
   

                        </div>
                    </div>
                </form>
            </div>
        </div> <!-- end of header content -->

        <!-- Social Links -->
        <div class="social-links-container">
            <span class="fa-stack fa-lg">
                <a href="https://www.facebook.com/oplayce/" target="_blank">
                    <i class="fa fa-circle fa-stack-2x facebook"></i>
                    <i class="fa fa-facebook fa-stack-1x"></i>
                </a>
            </span>
            <!-- <span class="fa-stack fa-lg">
                <a href="#your-link-here">
                    <i class="fa fa-circle fa-stack-2x twitter"></i>
                    <i class="fa fa-twitter fa-stack-1x"></i>
                </a>
            </span>
            <span class="fa-stack fa-lg">
                <a href="#your-link-here">
                    <i class="fa fa-circle fa-stack-2x google-plus"></i>
                    <i class="fa fa-google-plus fa-stack-1x"></i>
                </a>
            </span>-->
          
        </div> <!-- end of social links -->
    </header> <!-- end of header -->


    <!-- Scripts -->
    <script src="{{ asset('FrontEnd/js/jquery.min.js')}}"></script> <!-- jQuery v3.2.1 - required by Bootstrap -->
    <script src="{{ asset('FrontEnd/js/popper.min.js')}}"></script> <!-- Popper tooltip library - required by Bootstrap -->
    <script src="{{ asset('FrontEnd/js/bootstrap.min.js')}}"></script> <!-- Bootstrap v4.0.0-beta.2 - front-end web framework -->
    <script src="{{ asset('FrontEnd/js/jquery.easing.min.js')}}" type="text/javascript"></script> <!-- jQuery Easing v1.3 for smooth scrolling between anchors -->
    <script src="{{ asset('FrontEnd/js/jquery.countdown.min.js')}}" type="text/javascript"></script> <!-- The Final Countdown v2.2.0 plugin for jQuery -->
    <script src="{{ asset('FrontEnd/js/morphext.min.js')}}" type="text/javascript"></script> <!-- Morphtext v2.4.4 for rotating text in the header -->
    <script src="{{ asset('FrontEnd/js/particles.min.js')}}" type="text/javascript"></script> <!-- Particles v2.0.0 for background effects -->
    <script src="{{ asset('FrontEnd/js/validator.min.js')}}" type="text/javascript"></script> <!--  Validator.js v0.11.8 Bootstrap plugin that validates the registration form -->
    <script src="{{ asset('FrontEnd/js/scripts.js') }}"></script> <!-- Bono custom scripts -->
    
</body>

</html>
